Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Nov 2019, 00:33
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
DebianDog - Wheezy
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 99 of 99 [1481 Posts]   Goto page: Previous 1, 2, 3, ..., 97, 98, 99
Author Message
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Sat 27 Apr 2019, 20:30    Post subject: HP whitelists wifi cards in BIOS  

Lupu2016 wl works on 2006 HP dv5000 with bcm4311 card (but appears not to work on 2007 DELL Inspiron 1521).

To try to get wl module working I removed (modprobe -r) possibly competing drivers b43 (auto loaded) ssb and some that were probably not there b44 b43legacy brcmwmac bcma.

modprobe wl. Did not help. iwconfig and ipconfig show ethernet not wifi.

b43/wl is a headache for a lot of linux users.

I read that HP whitelists wifi cards in BIOS in some computers, including one we have from 2005, which means you cannot change to a different card unless it is also whitelisted. None of our cards worked in that laptop so it is ethernet only unless I get rtl8180 USB wifi to work. It was hopeless in one or more puppy linuxes with linux drivers (I tried many of them) and with ndiswrapper would work briefly then crash linux.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Sun 28 Apr 2019, 09:58    Post subject: b43 not working in Tahrpup 6.0.5 either  

HP dv5000. Lupu2016 works with wl (though maybe not on DELL 1521). Lupu525 works with b43 on HP. Wary 5.5 with b43 on DELL.

Freshly installed and updated Tahrpup 6.0.5. b43 appears to work, IP address is assigned, but cannot ping or ssh or browse.

Tahr has kernel 3.14 and Jessie 3.16. Buggy range of kernels?

There is a DebianDog Stretch (Preview) with kernel 4.7 to try next.

mikeslr sent some links about rtl8180 (USB wifi card that was hopeless in lupu but worked in XP).

Ethernet cable is increasingly attractive.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Sun 28 Apr 2019, 10:32    Post subject: b43 working in DebianDog Stretch kernel 4.7 pae  

Menu, Internet, Wifi Configuration. Error message when I try to connect. But after typing one sentence with ethernet cable I checked again and it says I am connected. I am unplugged and still typing. Odd. Kernel bug fixed?

About 200MB memory used (not counting buffers and cache).
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Sun 28 Apr 2019, 10:33    Post subject: b43 still not really working  

I had to plug in the cable to SUBMIT.
rtl8180?
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Sun 28 Apr 2019, 15:08    Post subject: b43 not working with Slacko 6.3.0  

kernel 3.14, like Tahrpup 6.0.5. As with Tahrpup, sns, net-setup.sh and frisbee all appear to configure b43 correctly but there is then no connection. I cannot even ping the router, or 8.8.8.8

Tahrpup runs Palemoon 28.4 and probably Slacko also does. Wary and Lupu do not, but they work with wifi.

I tried five USB wifi dongles with built-in modules for rtl8180 and they were detected but no wifi connection. wheezy, jessie, stretch, tahr.

I do not NEED wifi on a laptop. Or a newish 2006-2007 laptop, now that youtube-viewer works at 720p on 2003-2005 laptops with Jessie, 866GM (PM, GME) that do not display correctly with lupu and wary, and iw2x00 wireless B/G.

The dv5000 and 1521 play 720p youtube in wary with wifi and the viewer pet. Or with debiandog and ethernet cable. Good enough.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Wed 01 May 2019, 10:52    Post subject: USB wifi M-510 11B no WPA works Jessie 2016  

I am online with Jessie 2016 via USB wifi card MN-510 prism2_usb, no WPA support (WEP only). 11Mbps, adequate for 720p youtube-viewer.
The card works with no extra software/firmware added in Wary 5.5, Lupu 5.2.5, and Lupu2016, but my notes say not in Tahr.
It is a rounded grey rectangle with long USB cable and short antenna, and short range (sees only our router).

DELL 600M 2004 is also 855PM and the video works better with Jessie but like the other PMs it is usable with lupu2016, though some dialog boxes are
chopped at left side.

Mikeslr (single lens reflex?) sent detailed instructions how to replace kernel in Tahr so I may try the lupu2016 kernel in Tahr on dv6500, where the video
is scrambled by puppies later than lupu2016. The Jessie kernel displays X properly but not fbcon.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Sun 05 May 2019, 21:58    Post subject: How to add cups to Debiandog?  

I installed the lpr and cupswrapper packages for my Brother 7820N printer (about 20 years old?), the ones that work in Puppy Linux, but apparently Debiandog (Jessie 2015) also needs cups itself installed.

I followed a howto for Debian 8 Jessie that said just apt-get install cups, but when I did that it listed lots of missing dependencies.

I also read that apt-get install is supposed to find the dependencies.

What do I need to install first, in DebianDog Jessie?

I installed the Win7 driver and Palemoon 28 for Windows, and in ebay attempted to print a label (no longer possible in Lupu2016 with PM27). Windows will not print - printer not activated. I saved the pdf file and printed it with Lupu.

It would be lovely to print directly with Jessie.

Mikeslr informed me I cannot use a lupu or earlier kernel with Tahr or other puppies newer than lupu. So my 2007 (fastest) laptop with proprietary nvidia graphics is usable only in X (unless I learn to compile the correct nvidia driver). I may use it only for graphical browsing/ebay and youtube, and set up a second (matte) slower laptop for everything else. Thanks to DebianDog I have a large selection from 2003-2004..
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Tue 07 May 2019, 11:27    Post subject: Jessie 2016 PAE installs cups and b43 wifi started working  

Jessie 2016 has a different first line for sources.list - debiandog instead of smokey01/saintless.

apt-get install cups found all its required files.
I did not test it with printer drivers yet.

Also it assigned an IP number to wlan0 and goes online wirelessly.
Maybe b43 needed additional packages that Jessie 2015 could not find.

The PAE kernel is incompatible with my 2003-4 laptops.
Where do I add 'forcepae'?

The older laptops do not have b43. Would Jessie 2015 work and install cups using sources.list from Jessie 2016?

Jessie 2016 uses 140MB RAM with openbox and xfce. Maybe less with jwm. The OS that does everything, if you add some missing drivers.

Some day I will learn to compile nvidia drivers.

On the 600M, fbi fbcon image viewer works with puppies but has a bus error (memory conflict?) with Wheezy. Maybe it will work with a Jessie.

Alt-F1 works on newer laptops, just not on 2003-4 models (855GM?).

Thanks for the tremendous amount of help. Puppy forums are the best part of puppy linux.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Tue 07 May 2019, 11:28    Post subject: Jessie NOT b43  

I forgot I had an MN-510 wifi card (non-WPA) plugged in. It works, not b43.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Wed 08 May 2019, 16:20    Post subject: dv6500 prints with cups using jessie 2015 non-pae 32-bit  

My changes.dat file was corrupted (would not even reboot).
First I tested if sources.list from Jessie 2016 would work - it does not.

apt-get install cups worked

dpkg -i the brmc and cupswrapper files (used by puppy)

for my brother MFS-7820N downloaded from the brother driver site.
The printer driver installer file was not needed.
I left the printer plugged in and turned on according to instructions.
Possibly not necessary either.

When Ctrl-P still did not list the printer, I read /usr/share/man/man8/cups*
and then typed:

cupsenable

The 7820N appears now when I type Ctrl-P. The printer printed a page (after I remembered to put paper in the printer - which jams if I insert more than single sheet).

In theory the MFC should also fax (with a phone line) and scan (but that jams). I did not test either in linux or windows.

Unlike in lupu, no pdf writer is listed as a printer. In lupu it is an annoying default. Once you know how, setting up debiandog for printing is simpler than puppy. No graphical wizard is required by cups.

If anyone ever updates jessie again, a script for installing cups would be helpful. I did not see cups in jessie 2016 either.

The default nvidia driver in jessie 2015 is not correct for dv5000 with nvidia 7150M video chip and it stretches images sideways. The moon in Pale Moon is oval. It also does not support fbcon. But it lets me print directly with ebay (Palemoon 28).

There is a large selection of source code packages to create modules for various ranges of nvidia chip, which I will tackle next time it snows.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 976
Location: Ann Arbor MI USA

PostPosted: Mon 13 May 2019, 12:36    Post subject: Jessie 2015 on Compaq SR5605F with nvidia to the rescue  

2008 Compaq SR5000 series desktop with Vista, which refuses to update itself or Defender, and won't install Firefox or irfanview, both apparently common problems with Vista. Last updated in 2009. Requested for a free language lab with Windows, to teach English to Arabic speakers in Detroit. I spent much of 24 hours attempting to get Vista to behave and Micro* to install.

MicroXP would not even start to install. Blue screen, something about a library. Micro2003 (which installed to a 2004 HP server when MicroXP did not) loaded tons of scsi and raid drivers and booted to a black screen with i-diacritic, ; and a green Yen sign.

Vista will not run DOS games. Cannot do full screen.

specs:
nvidia Geforce 6510SE
Realtek ALC88 audio
2.7GHz AMD 1GB RAM.
Sold with Works and trial Office 2007.

Tahr cannot handle the nvidia video. X would work but then the browser or a terminal would crash with a sort-of blank screen. Different behavior than my 2007 HP dv6500 (where X displays in three parallel scrambled copies) but equally unusable. I tried the nvidia updated driver for AMD non-PAE but it would not install.

Lupu2016 video works just great but lupu won't run recent browsers and ebay won't work with the old Pale Moon.

DebianDog Jessie 2015 works out of the box with generic nouveau driver. No fbcon, and X is a bit squished sideways on a non widescreen monitor, but the rest works perfectly. I added Palemoon 28.5, and youtube-viewer (set to 720p). It also automatically sets up ethernet connection, easier on beginners.

I found ROX and made links to gtk-youtube-viewer and palemoon on the screen, as well as in the jwm menu.

The person setting up the language lab will offer it to someone with home internet since I have no linux-capable wifi cards to share. Or it may go to a household that we send food pantry surplus to in another poor area of SE Michigan. I will save changes.dat for quicker setup of our other ten old desktops.

No problems with updates or Alt-F1 not working. 'New' hardware.
Thanks again for everyone's help.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 99 of 99 [1481 Posts]   Goto page: Previous 1, 2, 3, ..., 97, 98, 99
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2208s ][ Queries: 12 (0.1492s) ][ GZIP on ]